%define major 0
%define revision 21
%define minor 2
%define ver %major.%revision.%minor
%define rel alt1
%define libname libcinepaint

%def_disable static

Name: cinepaint
Version: %ver
Release: %rel.1

Summary: CinePaint is a tool for manipulating images
License: GPL with portions LGPL and MIT
Group: Graphics

Url: http://cinepaint.sourceforge.net
Source0: http://dl.sourceforge.net/cinepaint/cinepaint-%major.%revision-%minor.tar.gz
Source1: cp.16x16.png
Source2: cp.32x32.png
Source3: cp.48x48.png
Patch0: cinepaint-0.21-2-alt-lcms.patch

Requires: %libname = %version-%release
Obsoletes: filmgimp

# Raw-photo import plugin uses dcraw binary
Requires: dcraw

# Automatically added by buildreq on Mon Nov 06 2006
BuildRequires: flex fontconfig gcc-c++ gtk+-devel libfltk-devel libjpeg-devel liblcms-devel libpng-devel libtiff-devel libXft-devel libXmu-devel openexr-devel python-dev python-modules-encodings

# TODO: build with gutenprint, Oyranos, iccexamin

%description
Film Gimp is a motion picture editing tool primarily used for painting and
retouching of movies. With sixteen bits per component instead of eight,
Film Gimp has much more color depth capacity than Gimp. Spencer Kimball
and Peter Mattis created Gimp originally, releasing the first version (0.54)
in 1995. Gimp is a widely-used alternative to Adobe Photoshop, a popular tool
for professional image editing. Film Gimp extended Gimp to operate upon a
series of images and in 16-bit linear and floating point color depths.
Film Gimp is currently based upon the HOLLYWOOD 1.0.4 branch of Gimp.

%package -n %libname
Summary: CinePaint libraries
Group: System/Libraries
License: GPL
Obsoletes: libfilmgimp

%description -n %libname
This package contains shared libraries used by CinePaint.

%package -n %libname-devel
Summary: CinePaint plugin and extension development kit
Group: Development/C
Requires: %libname = %version-%release
Obsoletes: libfilmgimp-devel

%description -n %libname-devel
Libraries files for writing CinePaint plugins and extensions.

%package -n %libname-devel-static
Summary: CinePaint static libraries
Group: Development/C
Requires: %libname-devel = %version-%release
Obsoletes: libfilmgimp-devel-static

%description -n %libname-devel-static
Static libraries for writing statically linked CinePaint plugins and extensions.

%prep
%setup -q -n %name-%major.%revision-%minor

%patch0 -p1
# fix underlinking
%__subst 's/libcinepaint_la_LIBADD = /libcinepaint_la_LIBADD = -lgtk /' lib/Makefile.in

%build
#__aclocal
#__autoconf
%configure \
    %{subst_enable static}
%make_build

%install
%make install DESTDIR=%buildroot

install -pD -m644 %SOURCE1 %buildroot%_miconsdir/cinepaint.png
install -pD -m644 %SOURCE2 %buildroot%_niconsdir/cinepaint.png
install -pD -m644 %SOURCE3 %buildroot%_liconsdir/cinepaint.png

%find_lang cinepaint
%find_lang --append --output=cinepaint.lang cinepaint-script-fu
%find_lang --append --output=cinepaint.lang cinepaint-std-plugins

%post -n %libname
%post_ldconfig

%postun -n %libname
%postun_ldconfig

%files -f cinepaint.lang
%doc AUTHORS COPYING ChangeLog README
%_bindir/*
%_datadir/cinepaint
%_man1dir/*
%_libdir/cinepaint
%_desktopdir/*
%_pixmapsdir/*
%_miconsdir/*
%_niconsdir/*
%_liconsdir/*
%python_sitelibdir/*

%files -n %libname
%_libdir/*.so.*

%files -n %libname-devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc
%_datadir/aclocal/*.m4

%if_enabled static
%files -n %libname-devel-static
%_libdir/lib*.a
%endif

%changelog
* Tue May 15 2007 ALT QA Team Robot <qa-robot@altlinux.org> 0.21.2-alt1.1
- Rebuilt due to libIlmImf.so.2 -> libIlmImf.so.4 soname change.

* Mon Nov 06 2006 Victor Forsyuk <force@altlinux.org> 0.21.2-alt1
- Adopted from orphaned state, apply one-line build fixer (cure for library
  underlinking), build 0.21-2 version.
- More precise License tag.
- Add run-time deps on dcraw (dcraw executable needed by raw-photo import plugin). 
- Updated buildreqs.

* Wed Mar 01 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.20.2-alt1
- 0.20-2

* Tue Nov 01 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.20.0-alt1
- 0.20-0

* Fri Oct 07 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.19.1-alt1
- 0.19-1-1

* Thu Apr 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.19.0-alt1
- 0.19.0

* Fri Sep 17 2004 ALT QA Team Robot <qa-robot@altlinux.org> 0.18.1-alt1.1
- Rebuilt with libtiff.so.4.

* Mon Jan 19 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.18.1-alt1
- filmgimp to cinepaint rename
- rename gimp files

* Fri Mar 28 2003 Anatoly Yakushin <jaa@altlinux.ru> 0.16-alt1
- adopted spec for ALT Linux Team

* Tue Mar 04 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.16-1mdk
- initial release.
